apt: pkgCache::PkgFileIterator Class Reference

apt 3.3.2 commandline package manager

Public Member Functions | List of all members
pkgCache::PkgFileIterator Class Reference
Inheritance diagram for pkgCache::PkgFileIterator:

## Public Member Functions
constexpr PackageFile * | OwnerPointer () const noexcept
PkgFileIterator & | operator++ ()
PkgFileIterator | operator++ (int)
constexpr const char * | FileName () const noexcept
constexpr pkgCache::RlsFileIterator | ReleaseFile () const noexcept
constexpr const char * | Archive () const noexcept
constexpr const char * | Version () const noexcept
constexpr const char * | Origin () const noexcept
constexpr const char * | Codename () const noexcept
constexpr const char * | Label () const noexcept
constexpr const char * | Site () const noexcept
constexpr bool | Flagged (pkgCache::Flag::ReleaseFileFlags const flag) const noexcept
constexpr bool | Flagged (pkgCache::Flag::PkgFFlags const flag) const noexcept
constexpr const char * | Component () const noexcept
constexpr const char * | Architecture () const noexcept
constexpr const char * | IndexType () const noexcept
std::string | RelStr ()
constexpr | PkgFileIterator (pkgCache &Owner) noexcept
constexpr | PkgFileIterator (pkgCache &Owner, PackageFile *Trg) noexcept
Public Member Functions inherited from pkgCache::Iterator< PackageFile, PkgFileIterator >
constexpr bool | end () const noexcept
constexpr bool | operator== (const PkgFileIterator &B) const noexcept
constexpr bool | operator!= (const PkgFileIterator &B) const noexcept
constexpr PackageFile * | operator-> () noexcept
constexpr | operator PackageFile * () noexcept
constexpr | operator PackageFile const * () const noexcept
constexpr PackageFile & | operator* () noexcept
constexpr pkgCache * | Cache () const noexcept
constexpr bool | IsGood () const noexcept
constexpr unsigned long | Index () const noexcept
constexpr map_pointer< PackageFile > | MapPointer () const noexcept
void | ReMap (void const *const oldMap, void *const newMap)

## Additional Inherited Members
Public Types inherited from pkgCache::Iterator< PackageFile, PkgFileIterator >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference
Protected Attributes inherited from pkgCache::Iterator< PackageFile, PkgFileIterator >
PackageFile * | S
pkgCache * | Owner

The documentation for this class was generated from the following files:

- apt-pkg/cacheiterators.h
- apt-pkg/pkgcache.cc